Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class DefaultListenerRegistration

    java.lang.Object
      org.jboss.mx.notification.DefaultListenerRegistration

All Implemented Interfaces:
  ListenerRegistration

Direct Known Subclasses:
  MBeanServerListenerRegistration

public class DefaultListenerRegistration
extends Object
implements ListenerRegistration

The default notification listener registration.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  `ListenerRegistry`, `ListenerRegistrationFactory`

Constructor Summary
`DefaultListenerRegistration(NotificationListener listener, NotificationFilter filter, Object handback)` Create a listener registration

Method Summary
`boolean` | `equals(Object obj)`
`NotificationFilter` | `getFilter()` Retrieve the filter for this registration.
`Object` | `getHandback()` Retrieve the handback object for this registration.
`NotificationListener` | `getListener()` Retrieve the listener for this registration.
`NotificationFilter` | `getRegisteredFilter()` Retrieve the filter that was registered.
`NotificationListener` | `getRegisteredListener()` Retrieve the listener that was registered.
`int` | `hashCode()`
`void` | `removed()` Used to tell the registration it is no longer required.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultListenerRegistration

    public DefaultListenerRegistration(NotificationListener listener,
                                       NotificationFilter filter,
                                       Object handback)

  Create a listener registration

Parameters:
  `listener` - the notification listener
  `filter` - the notification filter
  `handback` - the handback object

Method Detail

### getListener

    public NotificationListener getListener()

  Description copied from interface: `ListenerRegistration`
  Retrieve the listener for this registration.

  Specified by:
    `getListener` in interface `ListenerRegistration`
  Returns:
    the listener

### getFilter

    public NotificationFilter getFilter()

  Description copied from interface: `ListenerRegistration`
  Retrieve the filter for this registration.

  Specified by:
    `getFilter` in interface `ListenerRegistration`
  Returns:
    the listener

### getHandback

    public Object getHandback()

  Description copied from interface: `ListenerRegistration`
  Retrieve the handback object for this registration.

  Specified by:
    `getHandback` in interface `ListenerRegistration`
  Returns:
    the handback object

### getRegisteredListener

    public NotificationListener getRegisteredListener()

  Description copied from interface: `ListenerRegistration`
  Retrieve the listener that was registered. This might be different from listener to use, e.g. the registration factory may generate a proxy.

  Specified by:
    `getRegisteredListener` in interface `ListenerRegistration`
  Returns:
    the listener

### getRegisteredFilter

    public NotificationFilter getRegisteredFilter()

  Description copied from interface: `ListenerRegistration`
  Retrieve the filter that was registered. This might be different from filter to use, e.g. the registration factory may generate a proxy.

  Specified by:
    `getRegisteredFilter` in interface `ListenerRegistration`
  Returns:
    the filter

### removed

    public void removed()

  Description copied from interface: `ListenerRegistration`
  Used to tell the registration it is no longer required.

  Specified by:
    `removed` in interface `ListenerRegistration`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.